LibreOffice: XFormsUIHelper1 Interface Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Public Member Functions | List of all members
XFormsUIHelper1 Interface Reference

provide several helper methods for the UI More...

`import"XFormsUIHelper1.idl";`

## Public Member Functions
string | getDefaultServiceNameForNode ([in] com::sun::star::xml::dom::XNode xNode)
string | getDefaultBindingExpressionForNode ([in] com::sun::star::xml::dom::XNode xNode)
string | getNodeDisplayName ([in] com::sun::star::xml::dom::XNode xNode, [in] boolean bDetail)
string | getNodeName ([in] com::sun::star::xml::dom::XNode xNode)
string | getBindingName ([in] com::sun::star::beans::XPropertySet xBinding, [in] boolean bDetail)
string | getSubmissionName ([in] com::sun::star::beans::XPropertySet xSubm, [in] boolean bDetail)
com::sun::star::beans::XPropertySet | cloneBindingAsGhost ([in] com::sun::star::beans::XPropertySet binding)
void | removeBindingIfUseless ([in] com::sun::star::beans::XPropertySet xBinding)
com::sun::star::xml::dom::XDocument | newInstance ([in] string sName, [in] string sURL, [in] boolean bURLOnce)
void | renameInstance ([in] string sFrom, [in] string sTo, [in] string sURL, [in] boolean bURLOnce)
void | removeInstance ([in] string sName)
com::sun::star::xforms::XModel | newModel ([in] com::sun::star::frame::XModel xModel, [in] string sName)
void | renameModel ([in] com::sun::star::frame::XModel xModel, [in] string sFrom, [in] string sTo)
void | removeModel ([in] com::sun::star::frame::XModel xModel, [in] string sName)
com::sun::star::xml::dom::XNode | createElement ([in] com::sun::star::xml::dom::XNode xParent, [in] string sName)
com::sun::star::xml::dom::XNode | createAttribute ([in] com::sun::star::xml::dom::XNode xParent, [in] string sName)
com::sun::star::xml::dom::XNode | renameNode ([in] com::sun::star::xml::dom::XNode xNode, [in] string sName)
com::sun::star::beans::XPropertySet | getBindingForNode ([in] com::sun::star::xml::dom::XNode xNode, [in] boolean bCreate)
void | removeBindingForNode ([in] com::sun::star::xml::dom::XNode xNode)
string | getResultForExpression ([in] com::sun::star::beans::XPropertySet xBinding, [in] boolean bIsBindingExpression, [in] string sExpression)
boolean | isValidXMLName ([in] string sName)
boolean | isValidPrefixName ([in] string sName)
void | setNodeValue ([in] com::sun::star::xml::dom::XNode xNode, [in] string sValue)

## Detailed Description

provide several helper methods for the UI

This interfaces is for UI use only, and will likely be unsupported in future versions.

## Member Function Documentation

## ◆ cloneBindingAsGhost()

com::sun::star::beans::XPropertySet cloneBindingAsGhost | ( | [in] com::sun::star::beans::XPropertySet | binding | ) |

## ◆ createAttribute()

com::sun::star::xml::dom::XNode createAttribute | ( | [in] com::sun::star::xml::dom::XNode | xParent,
|  | [in] string | sName
| ) |  |

## ◆ createElement()

com::sun::star::xml::dom::XNode createElement | ( | [in] com::sun::star::xml::dom::XNode | xParent,
|  | [in] string | sName
| ) |  |

## ◆ getBindingForNode()

com::sun::star::beans::XPropertySet getBindingForNode | ( | [in] com::sun::star::xml::dom::XNode | xNode,
|  | [in] boolean | bCreate
| ) |  |

## ◆ getBindingName()

string getBindingName | ( | [in] com::sun::star::beans::XPropertySet | xBinding,
|  | [in] boolean | bDetail
| ) |  |

## ◆ getDefaultBindingExpressionForNode()

string getDefaultBindingExpressionForNode | ( | [in] com::sun::star::xml::dom::XNode | xNode | ) |

## ◆ getDefaultServiceNameForNode()

string getDefaultServiceNameForNode | ( | [in] com::sun::star::xml::dom::XNode | xNode | ) |

## ◆ getNodeDisplayName()

string getNodeDisplayName | ( | [in] com::sun::star::xml::dom::XNode | xNode,
|  | [in] boolean | bDetail
| ) |  |

## ◆ getNodeName()

string getNodeName | ( | [in] com::sun::star::xml::dom::XNode | xNode | ) |

## ◆ getResultForExpression()

string getResultForExpression | ( | [in] com::sun::star::beans::XPropertySet | xBinding,
|  | [in] boolean | bIsBindingExpression,
|  | [in] string | sExpression
| ) |  |

## ◆ getSubmissionName()

string getSubmissionName | ( | [in] com::sun::star::beans::XPropertySet | xSubm,
|  | [in] boolean | bDetail
| ) |  |

## ◆ isValidPrefixName()

boolean isValidPrefixName | ( | [in] string | sName | ) |

## ◆ isValidXMLName()

boolean isValidXMLName | ( | [in] string | sName | ) |

## ◆ newInstance()

com::sun::star::xml::dom::XDocument newInstance | ( | [in] string | sName,
|  | [in] string | sURL,
|  | [in] boolean | bURLOnce
| ) |  |

## ◆ newModel()

com::sun::star::xforms::XModel newModel | ( | [in] com::sun::star::frame::XModel | xModel,
|  | [in] string | sName
| ) |  |

## ◆ removeBindingForNode()

void removeBindingForNode | ( | [in] com::sun::star::xml::dom::XNode | xNode | ) |

## ◆ removeBindingIfUseless()

void removeBindingIfUseless | ( | [in] com::sun::star::beans::XPropertySet | xBinding | ) |

## ◆ removeInstance()

void removeInstance | ( | [in] string | sName | ) |

## ◆ removeModel()

void removeModel | ( | [in] com::sun::star::frame::XModel | xModel,
|  | [in] string | sName
| ) |  |

## ◆ renameInstance()

void renameInstance | ( | [in] string | sFrom,
|  | [in] string | sTo,
|  | [in] string | sURL,
|  | [in] boolean | bURLOnce
| ) |  |

## ◆ renameModel()

void renameModel | ( | [in] com::sun::star::frame::XModel | xModel,
|  | [in] string | sFrom,
|  | [in] string | sTo
| ) |  |

## ◆ renameNode()

com::sun::star::xml::dom::XNode renameNode | ( | [in] com::sun::star::xml::dom::XNode | xNode,
|  | [in] string | sName
| ) |  |

## ◆ setNodeValue()

void setNodeValue | ( | [in] com::sun::star::xml::dom::XNode | xNode,
|  | [in] string | sValue
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xforms/XFormsUIHelper1.idl